# Class AuthPermission

java.lang.Object
java.security.Permission
java.security.BasicPermission
javax.security.auth.AuthPermission

All Implemented Interfaces:
  `Serializable, Guard`

public final class AuthPermission extends BasicPermission
This class is for authentication permissions. An `AuthPermission` contains a name (also referred to as a "target name") but no actions list; you either have the named permission or you don't.

API Note:
  This permission cannot be used for controlling access to resources as the Security Manager is no longer supported.
Since:
  1.4
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AuthPermission(String name)`
Creates a new AuthPermission with the specified name.
`AuthPermission(String name, String actions)`
Creates a new AuthPermission object with the specified name.

## Method Summary

### Methods declared in class BasicPermission

`equals, getActions, hashCode, implies, newPermissionCollection`

### Methods declared in class Permission

`checkGuard, getName, toString`

### Methods declared in class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AuthPermission

public AuthPermission(String name)
Creates a new AuthPermission with the specified name. The name is the symbolic name of the AuthPermission.

Parameters:
  `name` - the name of the AuthPermission
Throws:
  `NullPointerException` - if `name` is `null`.
  `IllegalArgumentException` - if `name` is empty.

### AuthPermission

public AuthPermission(String name, String actions)
Creates a new AuthPermission object with the specified name. The name is the symbolic name of the AuthPermission, and the actions String is currently unused and should be null.

Parameters:
  `name` - the name of the AuthPermission
  `actions` - should be null.
Throws:
  `NullPointerException` - if `name` is `null`.
  `IllegalArgumentException` - if `name` is empty.